Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class FilterSet

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.FilterSet

All Implemented Interfaces:
  java.lang.Cloneable

public class FilterSet
extends DataType
implements java.lang.Cloneable

A set of filters to be applied to something. A filter set may have begintoken and endtokens defined.

Nested Class Summary
`static class` | `FilterSet.Filter` Individual filter component of filterset
`class` | `FilterSet.FiltersFile` The filtersfile nested element.

Field Summary
`static java.lang.String` | `DEFAULT_TOKEN_END` The default token end string
`static java.lang.String` | `DEFAULT_TOKEN_START` The default token start string

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`` | `FilterSet()` Default constructor
`protected` | `FilterSet(FilterSet filterset)` Create a Filterset from another filterset

Method Summary
`void` | `addConfiguredFilterSet(FilterSet filterSet)` Add a Filterset to this filter set
`void` | `addFilter(FilterSet.Filter filter)` Create a new filter
`void` | `addFilter(java.lang.String token, java.lang.String value)` Add a new filter made from the given token and value.
`java.lang.Object` | `clone()` clone the filterset
`FilterSet.FiltersFile` | `createFiltersfile()` Create a new FiltersFile
`java.lang.String` | `getBeginToken()` Get the begin token for this filterset
`java.lang.String` | `getEndToken()` Get the end token for this filterset
`java.util.Hashtable` | `getFilterHash()` Gets the filter hash of the FilterSet.
`protected java.util.Vector` | `getFilters()` Get the filters in the filter set
`protected FilterSet` | `getRef()` Get the referred filter set
`boolean` | `hasFilters()` Test to see if this filter set it empty.
`void` | `readFiltersFromFile(java.io.File filtersFile)` Read the filters from the given file.
`java.lang.String` | `replaceTokens(java.lang.String line)` Does replacement on the given string with token matching.
`void` | `setBeginToken(java.lang.String startOfToken)` The string used to id the beginning of a token.
`void` | `setEndToken(java.lang.String endOfToken)` The string used to id the end of a token.
`void` | `setFiltersfile(java.io.File filtersFile)` set the file containing the filters for this filterset.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_TOKEN_START

    public static final java.lang.String DEFAULT_TOKEN_START

  The default token start string

  See Also:
    Constant Field Values

### DEFAULT_TOKEN_END

    public static final java.lang.String DEFAULT_TOKEN_END

  The default token end string

  See Also:
    Constant Field Values

Constructor Detail

### FilterSet

    public FilterSet()

  Default constructor

### FilterSet

    protected FilterSet(FilterSet filterset)

  Create a Filterset from another filterset

Parameters:
  `filterset` - the filterset upon which this filterset will be based.

Method Detail

### getFilters

    protected java.util.Vector getFilters()

  Get the filters in the filter set

  Returns:
    a Vector of Filter instances

### getRef

    protected FilterSet getRef()

  Get the referred filter set

  Returns:
    the filterset from the reference.

### getFilterHash

    public java.util.Hashtable getFilterHash()

  Gets the filter hash of the FilterSet.

  Returns:
    The hash of the tokens and values for quick lookup.

### setFiltersfile

    public void setFiltersfile(java.io.File filtersFile)
                        throws BuildException

  set the file containing the filters for this filterset.

  Parameters:
    `filtersFile` - sets the filter fil to read filters for this filter set from.
  Throws:
    `BuildException` - if there is a problem reading the filters

### setBeginToken

    public void setBeginToken(java.lang.String startOfToken)

  The string used to id the beginning of a token.

  Parameters:
    `startOfToken` - The new Begintoken value

### getBeginToken

    public java.lang.String getBeginToken()

  Get the begin token for this filterset

  Returns:
    the filter set's begin token for filtering

### setEndToken

    public void setEndToken(java.lang.String endOfToken)

  The string used to id the end of a token.

  Parameters:
    `endOfToken` - The new Endtoken value

### getEndToken

    public java.lang.String getEndToken()

  Get the end token for this filterset

  Returns:
    the filter set's end token for replacement delimiting

### readFiltersFromFile

    public void readFiltersFromFile(java.io.File filtersFile)
                             throws BuildException

  Read the filters from the given file.

  Parameters:
    `filtersFile` - the file from which filters are read
  Throws:
    `BuildException` - Throw a build exception when unable to read the file.

### replaceTokens

    public java.lang.String replaceTokens(java.lang.String line)

  Does replacement on the given string with token matching. This uses the defined begintoken and endtoken values which default to @ for both. This resets the passedTokens and calls iReplaceTokens to do the actual replacements.

  Parameters:
    `line` - The line to process the tokens in.
  Returns:
    The string with the tokens replaced.

### addFilter

    public void addFilter(FilterSet.Filter filter)

  Create a new filter

  Parameters:
    `filter` - the filter to be added

### createFiltersfile

    public FilterSet.FiltersFile createFiltersfile()

  Create a new FiltersFile

  Returns:
    The filter that was created.

### addFilter

    public void addFilter(java.lang.String token,
                          java.lang.String value)

  Add a new filter made from the given token and value.

  Parameters:
    `token` - The token for the new filter.
    `value` - The value for the new filter.

### addConfiguredFilterSet

    public void addConfiguredFilterSet(FilterSet filterSet)

  Add a Filterset to this filter set

  Parameters:
    `filterSet` - the filterset to be added to this filterset

### hasFilters

    public boolean hasFilters()

  Test to see if this filter set it empty.

  Returns:
    Return true if there are filter in this set otherwise false.

### clone

    public java.lang.Object clone()
                           throws BuildException

  clone the filterset

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a deep clone of this filterset
  Throws:
    `BuildException` - if the clone cannot be performed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.